- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CglLandP Class Reference

`#include <CglLandP.hpp>`

Inheritance diagram for CglLandP:

[legend]
Collaboration diagram for CglLandP:

[legend]
List of all members.

## Public Types
| mostNegativeRc
| select most negative reduced cost
| bestPivot
| select best possible pivot.
enum | SelectionRules { mostNegativeRc, bestPivot }
## Public Member Functions
| CglLandP (const CglLandP::Parameters &params=CglLandP::Parameters(), const CglValidator &validator=CglValidator())
| Constructor for the class.
| ~CglLandP ()
| Destructor.
| CglLandP (const CglLandP &source)
| Copy constructor.
CglLandP & | operator= (const CglLandP &rhs)
| Assignment operator.
CglCutGenerator * | clone () const
| Clone function.
virtual bool | needsOptimalBasis () const
| Return true if needs optimal basis to do cuts.
CglValidator & | validator ()
void | setLogLevel (int level)
| set level of log for cut generation procedure :
Parameters & | parameter ()
Generate Cuts
virtual void | generateCuts (const OsiSolverInterface &si, OsiCuts &cs, const CglTreeInfo info=CglTreeInfo()) const
| Generate cuts for the model data contained in si.
## Private Attributes
Parameters | params_
CachedData | cached_
CoinMessageHandler * | handler_
| message handler
CoinMessages | messages_
| messages
CglValidator | validator_
| cut validator
## Friends
class | LAP::CglLandPSimplex
void | CglLandPUnitTest (OsiSolverInterface *si, const std::string &mpsDir)
## Classes
struct | CachedData
| Some informations that will be changed by the pivots and that we want to keep. More...
class | NoBasisError
class | Parameters
| Class storing parameters. More...
class | SimplexInterfaceError

## Detailed Description

Definition at line 53 of file CglLandP.hpp.

## Member Enumeration Documentation

enum CglLandP::SelectionRules

Enumerator:

  mostNegativeRc | select most negative reduced cost
  bestPivot | select best possible pivot.

Definition at line 61 of file CglLandP.hpp.

## Constructor & Destructor Documentation

CglLandP::CglLandP | ( | const CglLandP::Parameters & | params = `CglLandP::Parameters()`,
|  | const CglValidator & | validator = `CglValidator()` |
| ) |  |  |

Constructor for the class.

CglLandP::~CglLandP | ( |  | ) |

Destructor.

CglLandP::CglLandP | ( | const CglLandP & | source | ) |

Copy constructor.

## Member Function Documentation

CglLandP& CglLandP::operator= | ( | const CglLandP & | rhs | ) |

Assignment operator.

CglCutGenerator* CglLandP::clone | ( |  | ) | const`[virtual]`

Clone function.

Implements CglCutGenerator.

virtual void CglLandP::generateCuts | ( | const OsiSolverInterface & | si,
|  | OsiCuts & | cs,
|  | const CglTreeInfo | info = `CglTreeInfo()` |
| ) |  |  | const`[virtual]`

Generate cuts for the model data contained in si.

The generated cuts are inserted into and returned in the collection of cuts cs.

Implements CglCutGenerator.

virtual bool CglLandP::needsOptimalBasis | ( |  | ) | const`[inline, virtual]`

Return true if needs optimal basis to do cuts.

Reimplemented from CglCutGenerator.

Definition at line 151 of file CglLandP.hpp.

CglValidator& CglLandP::validator | ( |  | ) | `[inline]`

Definition at line 156 of file CglLandP.hpp.

References validator_.

void CglLandP::setLogLevel | ( | int | level | ) | `[inline]`

set level of log for cut generation procedure :

0. for none
1. for log at begin and end of procedure + at some time interval
2. for log at every cut generated

Definition at line 164 of file CglLandP.hpp.

References handler_, and CoinMessageHandler::setLogLevel().

Parameters& CglLandP::parameter | ( |  | ) | `[inline]`

Definition at line 207 of file CglLandP.hpp.

References params_.

## Friends And Related Function Documentation

friend class LAP::CglLandPSimplex`[friend]`

Definition at line 57 of file CglLandP.hpp.

void CglLandPUnitTest | ( | OsiSolverInterface * | si,
|  | const std::string & | mpsDir |
| ) |  |  | `[friend]`

## Member Data Documentation

Parameters CglLandP::params_`[private]`

Definition at line 209 of file CglLandP.hpp.

Referenced by parameter().

CachedData CglLandP::cached_`[mutable, private]`

Definition at line 238 of file CglLandP.hpp.

CoinMessageHandler* CglLandP::handler_`[private]`

message handler

Definition at line 240 of file CglLandP.hpp.

Referenced by setLogLevel().

CoinMessages CglLandP::messages_`[private]`

messages

Definition at line 242 of file CglLandP.hpp.

CglValidator CglLandP::validator_`[private]`

cut validator

Definition at line 244 of file CglLandP.hpp.

Referenced by validator().

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Cgl-0.52.0/Cgl/src/CglLandP/CglLandP.hpp